=== debian/changelog ===
flann (1.6.11-1) unstable; urgency=low

  * Initial release (Closes: #581903)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 23 Aug 2011 16:55:38 +0200
