=== debian/control ===
Source: flann
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>,
 Michael Kleiber <mike@kleibi.de>
Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~),
 libgtest-dev, python, python-numpy, texlive-binaries, libboost1.46-dev,
 texlive-latex-base, latex2html, mpi-default-dev, libhdf5-mpi-dev [!hurd-i386]
Standards-Version: 3.9.2
Homepage: http://www.cs.ubc.ca/~mariusm/index.php/FLANN/FLANN
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/flann/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/flann/trunk/

Package: libflann-dev
Section: libdevel
Architecture: any
Depends: libflann1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Fast Library for Approximate Nearest Neighbors - development
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms we found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains development files needed to build FLANN applications.

Package: libflann1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast Library for Approximate Nearest Neighbors - runtime
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms we found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains the libraries needed to run FLANN applications.

Package: flann-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Fast Library for Approximate Nearest Neighbors - documentation
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms we found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains the documentation for FLANN.
