## flann 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,11 @@
 string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 
 include(${PROJECT_SOURCE_DIR}/cmake/flann_utils.cmake)
-set(FLANN_VERSION 1.6.11)
+set(FLANN_VERSION 1.7.0)
 DISSECT_VERSION()
 GET_OS_INFO()
+
+list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
 # Add an "uninstall" target
 CONFIGURE_FILE ("${PROJECT_SOURCE_DIR}/cmake/uninstall_target.cmake.in"
@@ -40,8 +42,10 @@
 option(BUILD_C_BINDINGS "Build C bindings" ON)
 option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)
 option(BUILD_MATLAB_BINDINGS "Build Matlab bindings" ON)
+option(BUILD_CUDA_LIB "Build CUDA library" ON)
 option(USE_MPI "Use MPI" OFF)
 
+set(NVCC_COMPILER_BINDIR "" CACHE PATH  "Directory where nvcc should look for C++ compiler. This is passed to nvcc through the --compiler-bindir option.")
 
 if (NOT BUILD_C_BINDINGS)
     set(BUILD_PYTHON_BINDINGS OFF)
@@ -75,17 +79,51 @@
 if (USE_MPI)
     if (NOT MPI_FOUND)
         message(WARNING "Could not find an MPI library. Define the MPI_COMPILER variable to the path of your MPI compiler.")
+        set(USE_MPI OFF)
     endif()
 
     if (NOT HDF5_IS_PARALLEL)
         message(WARNING "For MPI support the Parallel HDF5 library is required.")
+        set(USE_MPI OFF)
     endif()
+endif(USE_MPI)
 
-endif(USE_MPI)
+
 
 find_package(GTest) 
 if (NOT GTEST_FOUND)
 	message(WARNING "gtest library not found, some tests will not be run")
+endif()
+
+find_package(CUDA)
+if(NOT CUDA_FOUND)
+	message(STATUS "CUDA not found, CUDA library will not be built")
+	set(BUILD_CUDA_LIB OFF)
+else(NOT CUDA_FOUND)
+    message(STATUS "CUDA found (include: ${CUDA_INCLUDE_DIRS}, lib: ${CUDA_LIBRARIES})")
+    include_directories(${CUDA_INCLUDE_DIRS})
+endif(NOT CUDA_FOUND)
+
+# find Intel TBB
+find_package(TBB)
+if(TBB_FOUND AND TBB_DEBUG_FOUND)
+    message(STATUS "Intel TBB include dir: " ${TBB_INCLUDE_DIRS})
+    message(STATUS "Intel TBB libs: " ${TBB_LIBRARIES})
+    message(STATUS "Intel TBB libs (debug): " ${TBB_DEBUG_LIBRARIES})
+	include_directories(${TBB_INCLUDE_DIRS})
+endif(TBB_FOUND AND TBB_DEBUG_FOUND)
+
+# print additional info
+if(TBB_FOUND AND NOT TBB_DEBUG_FOUND)
+    message(STATUS "Only the Intel TBB (release) libraries were found")
+endif()
+
+if(TBB_DEBUG_FOUND AND NOT TBB_FOUND)
+    message(STATUS "Only the Intel TBB (debug) libraries were found")
+endif()
+
+if(NOT TBB_FOUND AND NOT TBB_DEBUG_FOUND)
+    message(STATUS "No intel TBB libraries were found")
 endif()
 
 
@@ -97,8 +135,8 @@
 # HDF5 uses long long which is not ansi
 if (WIN32)
     # lots of warnings with cl.exe right now
-    # TODO: fix this
-    add_definitions( "-w" )
+    #add_definitions( "/W1" )
+	add_definitions("-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS")
 else(WIN32)
     add_definitions( "-Wall" )
 endif(WIN32)
@@ -152,4 +190,5 @@
 message(STATUS "Building C bindings: ${BUILD_C_BINDINGS}")
 message(STATUS "Building python bindings: ${BUILD_PYTHON_BINDINGS}")
 message(STATUS "Building matlab bindings: ${BUILD_MATLAB_BINDINGS}")
+message(STATUS "Building CUDA library: ${BUILD_CUDA_LIB}")
 message(STATUS "Using MPI support: ${USE_MPI}")
