=== debian/changelog ===
flann (1.7.0-1) unstable; urgency=low

  * New upstream. Fix MPI binding
  * Fix doc installation
  * Install upstream changelog

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 20 Dec 2011 17:13:24 +0100

flann (1.6.11-2) unstable; urgency=low

  * Remove hardcoded version number for boost librairies

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 25 Aug 2011 14:05:36 +0200
