=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 DM-Upload-Allowed: yes
 Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>,
  Michael Kleiber <mike@kleibi.de>
-Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~),
- libgtest-dev, python, python-numpy, texlive-binaries, libboost1.46-dev,
+Build-Depends: debhelper (>= 8), cmake, libtbb-dev,
+ libgtest-dev, python, python-numpy, texlive-binaries, libboost-all-dev,
  texlive-latex-base, latex2html, mpi-default-dev, libhdf5-mpi-dev [!hurd-i386]
 Standards-Version: 3.9.2
 Homepage: http://www.cs.ubc.ca/~mariusm/index.php/FLANN/FLANN
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/flann/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/flann/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/flann/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-science/packages/flann/trunk/
 
 Package: libflann-dev
 Section: libdevel
@@ -39,7 +39,7 @@
 Package: flann-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, doc-base
 Description: Fast Library for Approximate Nearest Neighbors - documentation
  FLANN is a library for performing fast approximate nearest neighbor searches
  in high dimensional spaces. It contains a collection of algorithms we found
