## flann 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 
 include(${PROJECT_SOURCE_DIR}/cmake/flann_utils.cmake)
-set(FLANN_VERSION 1.7.0)
+set(FLANN_VERSION 1.7.1)
 DISSECT_VERSION()
 GET_OS_INFO()
