=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,12 @@
 
 
     if (USE_MPI AND HDF5_IS_PARALLEL)
+        find_package(Boost COMPONENTS mpi system serialization thread REQUIRED)
+        include_directories(${Boost_INCLUDE_DIRS})
+        add_definitions("-DHAVE_MPI")
+
         add_executable(flann_example_mpi flann_example_mpi.cpp)
-        target_link_libraries(flann_example_mpi flann_cpp ${HDF5_LIBRARIES} ${MPI_LIBRARIES})
+        target_link_libraries(flann_example_mpi flann_cpp ${HDF5_LIBRARIES} ${MPI_LIBRARIES} ${Boost_LIBRARIES})
 
         add_dependencies(examples flann_example_mpi)
         install (TARGETS flann_example_mpi DESTINATION bin)
