=== test/CMakeLists.txt ===
--- 
+++ 
@@ -19,12 +19,31 @@
 endif()
 
 if (GTEST_FOUND AND HDF5_FOUND)
-    include_directories(${HDF5_INCLUDE_DIR})
+	include_directories(${HDF5_INCLUDE_DIR})
 	flann_add_gtest(flann_simple_test flann_simple_test.cpp)
+    if(TBB_FOUND)
+        add_definitions(-DTBB)
+        flann_add_gtest(flann_multithreaded_test flann_multithreaded_test.cpp)
+        target_link_libraries(flann_multithreaded_test ${TBB_LIBRARIES})
+        target_link_libraries(flann_simple_test ${TBB_LIBRARIES})
+    endif()
 	    target_link_libraries(flann_simple_test flann_cpp ${HDF5_LIBRARIES})
+        if(TBB_FOUND)
+            target_link_libraries(flann_multithreaded_test flann_cpp ${HDF5_LIBRARIES})
+        endif()
     if (HDF5_IS_PARALLEL)
 	    target_link_libraries(flann_simple_test ${MPI_LIBRARIES})
+        if(TBB_FOUND)
+            target_link_libraries(flann_multithreaded_test ${MPI_LIBRARIES})
+        endif()
     endif()
+endif()
+
+if (GTEST_FOUND AND HDF5_FOUND AND BUILD_CUDA_LIB)
+	set(CUDA_NVCC_FLAGS "${CUDA_NVCC_FLAGS};-Xcompiler;-fPIC;-arch=sm_13;--compiler-bindir=${NVCC_COMPILER_BINDIR}" )
+	flann_add_cuda_gtest(flann_cuda_test flann_cuda_test.cu)
+	target_link_libraries(flann_cuda_test flann_cpp ${HDF5_LIBRARIES} flann_cuda)
+
 endif()
 
 #---------- pyunit tests --------------
