=== debian/changelog ===
flann (1.7.1-4) unstable; urgency=low

  * enable the libhdf5-mpi-dev build dependency on hurd. Closes: #673513
  * Fix hardening switch to compat 9

 -- Mathieu Malaterre <malat@debian.org>  Sun, 03 Jun 2012 18:55:10 +0200

flann (1.7.1-3) unstable; urgency=medium

  * Add Breaks/Replaces for libflann1. Closes: #672443

 -- Mathieu Malaterre <malat@debian.org>  Mon, 14 May 2012 12:47:24 +0200

flann (1.7.1-2) unstable; urgency=low

  * Use my @d.o alias
  * Bump to Std-Vers to 3.9.3, no changes needed
  * Switch to default boost instead of old 1.48 (boost transition)
  * Use proper SONAME in package naming

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 May 2012 11:17:04 +0200

flann (1.7.1-1) unstable; urgency=low

  * New upstream
  - Fix clashes with other libraries
  * Remove doc install patch (applied upstream)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 28 Dec 2011 16:44:49 +0100

flann (1.7.0-4) unstable; urgency=low

  * Rebuild flann using boost 1.48.
  * Set minimum cmake version.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 26 Dec 2011 14:27:11 +0100

flann (1.7.0-3) unstable; urgency=low

  * Remove cmake install rule for manual.pdf.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 21 Dec 2011 19:46:50 +0100

flann (1.7.0-2) unstable; urgency=low

  * Remove TBB for non-intel arch
  * Move indep dependencies to B-D-I
  * Build doc in indep target

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 21 Dec 2011 18:14:28 +0100
