=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>,
+Uploaders: Mathieu Malaterre <malat@debian.org>,
  Michael Kleiber <mike@kleibi.de>
-Build-Depends: debhelper (>= 8), cmake, libtbb-dev,
- libgtest-dev, python, python-numpy, texlive-binaries, libboost-all-dev,
- texlive-latex-base, latex2html, mpi-default-dev, libhdf5-mpi-dev [!hurd-i386]
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), cmake (>= 2.6.0), libtbb-dev [amd64 i386 ia64],
+ libgtest-dev, python, python-numpy, libboost-all-dev,
+ mpi-default-dev, libhdf5-mpi-dev
+Build-Depends-Indep: texlive-latex-base, texlive-binaries, latex2html
+Standards-Version: 3.9.3
 Homepage: http://www.cs.ubc.ca/~mariusm/index.php/FLANN/FLANN
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/flann/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/flann/trunk/
@@ -16,7 +17,7 @@
 Package: libflann-dev
 Section: libdevel
 Architecture: any
-Depends: libflann1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libflann1.7 (= ${binary:Version}), ${misc:Depends}
 Description: Fast Library for Approximate Nearest Neighbors - development
  FLANN is a library for performing fast approximate nearest neighbor searches
  in high dimensional spaces. It contains a collection of algorithms we found
@@ -25,9 +26,11 @@
  .
  This package contains development files needed to build FLANN applications.
 
-Package: libflann1
+Package: libflann1.7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libflann1 (<< 1.7.1-2)
+Breaks: libflann1 (<< 1.7.1-2)
 Description: Fast Library for Approximate Nearest Neighbors - runtime
  FLANN is a library for performing fast approximate nearest neighbor searches
  in high dimensional spaces. It contains a collection of algorithms we found
