=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 
 CMAKE_FLAGS = \
 	-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
-	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DBUILD_MATLAB_BINDINGS:BOOL=OFF \
 	-DBUILD_PYTHON_BINDINGS:BOOL=OFF \
 	-DUSE_MPI:BOOL=ON \
@@ -23,6 +23,13 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
+
+# Let's be smart with building doc
+override_dh_auto_build-indep:
+	$(MAKE) -C obj-* doc
+
+# No tests needed for docs
+override_dh_auto_test-indep:
 
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
