=== debian/watch ===
version=3
http://www.cs.ubc.ca/~mariusm/index.php/FLANN/FLANN .*flann-(.*)-src.zip \
debian debian/orig-tar.sh
